Tspi_Context_Connect(3)

NAME.
Tspi_Context_Connect- connect a TSP to a Core Services daemon

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Context_Connect(TSS_HCONTEXT hLocalContext, UNICODE* wszDestination);

DESCRIPTION

Tspi_Context_Connect creates a connetion between the application and the local or remote TSS System.

PARAMETERS

  hLocalContext
The handle to the context to be connected.

  wszDestination
A null terminated unicode string which specifies the local or remote system to which one will be connected. If wszDestination is NULL, the connection will be to a local TCS.

RETURN CODES

Tspi_Context_Connect returns TSS_SUCCESS on success, otherwise one of the following values are returned:

TSS_E_INVALID_HANDLE - hLocalContext is an invalid handle.

TSS_E_INTERNAL_ERROR - An error occurred internal to the TSS.

CONFORMING TO

Tspi_Context_Connect conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Context_Create(3), Tspi_Context_Close(3).